AIC.fixest {fixest} | R Documentation

## Aikake's an information criterion

### Description

This function computes the AIC (Aikake's, an information criterion) from a `fixest` estimation.

### Usage

    ## S3 method for class 'fixest'
    AIC(object, ..., k = 2)

### Arguments

`object` | A `fixest` object. Obtained using the functions `femlm`, `feols` or `feglm`.
`...` | Optionally, more fitted objects.
`k` | A numeric, the penalty per parameter to be used; the default k = 2 is the classical AIC (i.e. `AIC=-2*LL+k*nparams`).

### Details

The AIC is computed as:

AIC = -2\times LogLikelihood + k\times nbParams

with k the penalty parameter.

You can have more information on this criterion on `AIC`.

### Value

It return a numeric vector, with length the same as the number of objects taken as arguments.

### Author(s)

Laurent Berge

### See Also

See also the main estimation functions `femlm`, `feols` or `feglm`. Other statictics methods: `BIC.fixest`, `logLik.fixest`, `nobs.fixest`.

### Examples

    # two fitted models with different expl. variables:
    res1 = femlm(Sepal.Length ~ Sepal.Width + Petal.Length +
                 Petal.Width | Species, iris)
    res2 = femlm(Sepal.Length ~ Petal.Width | Species, iris)

    AIC(res1, res2)
    BIC(res1, res2)

[Package fixest version 0.1.0 Index]